Page MenuHomeFreeBSD

introduce C.UTF-8 locale
ClosedPublic

Authored by yuripv on Nov 4 2018, 6:30 AM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, May 28, 11:44 AM
Unknown Object (File)
Thu, May 23, 12:45 AM
Unknown Object (File)
Sun, May 5, 10:26 AM
Unknown Object (File)
Fri, May 3, 9:35 PM
Unknown Object (File)
Apr 28 2024, 3:57 PM
Unknown Object (File)
Apr 25 2024, 3:44 AM
Unknown Object (File)
Apr 25 2024, 3:44 AM
Unknown Object (File)
Apr 25 2024, 3:44 AM

Details

Summary

Introduce C.UTF-8 locale, using the same common CTYPE map as other UTF-8 locales (and it's now the source of symlinks instead of en_US one), and having all other components use C locale.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Nov 4 2018, 6:50 AM
eadler added a subscriber: eadler.

review is for everything but the perl code. That seems okay but I don't trust my review :)

cem accepted this revision.EditedNov 4 2018, 6:01 PM

I really like the logical change — thank you for making it! I don't have total familiarity with this area, especially the Perl, but nothing about it looks bad to me.

Just for the note: perl bits here are only the helper tools for someone updating the locale sources in share/, and aren't run during the build, so even if something is broken there (and I tried not to as I used them), it's only bad until there's a need to update the data again where they will be fixed anyway :)

This revision was automatically updated to reflect the committed changes.